#include "painter.h"
#include "escena.h"

Painter::Painter(QWidget *parent)
: QWidget(parent) {

    QPushButton *quit = new QPushButton(tr("Quit"));
    quit->setFont(QFont("Arial", 14, QFont::Bold));
    connect(quit, SIGNAL(clicked()), qApp, SLOT(quit()));

    scene = new Escena(this);
    connect(scene, SIGNAL(   OBJCounterChanged()   ), SLOT(   newStatusMsg()   ) );

    myinit = new QPushButton(tr("InitCam"));
    myinit->setFont(QFont("Arial", 13, QFont::Bold));
    connect(myinit, SIGNAL(clicked()), scene, SLOT(initscreen()));

    stop = new QPushButton(tr("StopCam"));
    stop->setFont(QFont("Arial", 13, QFont::Bold));
    connect(stop, SIGNAL(clicked()), scene, SLOT(stop()));

    initTrack = new QPushButton(tr("InitTracking"));
    initTrack->setFont(QFont("Arial", 13, QFont::Bold));
    connect(initTrack, SIGNAL(clicked()), scene, SLOT(initTRACK()));
    //change color
    QString Buttonstyle = "QPushButton {background-color: #33A98A; color: white;}";
    initTrack->setStyleSheet(Buttonstyle);

    stopTrack = new QPushButton(tr("StopTracking"));
    stopTrack->setFont(QFont("Arial", 13, QFont::Bold));
    connect(stopTrack, SIGNAL(clicked()), scene, SLOT(stopTRACK()));
    Buttonstyle = "QPushButton {background-color: #FF4949; color: white;}";
    stopTrack->setStyleSheet(Buttonstyle);

    //----
    // CAPTURE
    capture = new QPushButton(tr("Capture"));
    capture->setFont(QFont("Arial", 12, QFont::Bold));
    connect(capture, SIGNAL(clicked()), scene, SLOT(capture()));


  
    status = new QLabel();
    status->setMaximumHeight(20);
    status->setFrameStyle(QFrame::WinPanel | QFrame::Sunken);
    // messTrain->setBackgroundColor( messTrain->colorGroup().base() );
    status->setAlignment(Qt::AlignCenter);

    status->setText( "STATUS");




//////////////////////////////////////////////////

    scene->setMinimumSize(640, 480);

    QGridLayout *grid = new QGridLayout(); //2x2, 5 pixel border
    grid->addWidget(scene, 0, 1);
    grid->setColumnStretch(1, 10);

 //////////////////////////////////////////

    QVBoxLayout *leftBox = new QVBoxLayout;
    grid->addLayout(leftBox, 0, 0);

    leftBox->addWidget(myinit);
    leftBox->addWidget(stop);
    leftBox->addWidget(initTrack);
    leftBox->addWidget(stopTrack);

    //leftBox->addWidget(C1);
    //leftBox->addWidget(C2);
    leftBox->addWidget(capture);
    leftBox->addWidget(status);


    leftBox->addWidget(quit);

    setLayout(grid);
}

void Painter::newStatusMsg() {
    int Counter;

    scene->getOBJCount(&Counter);

    QString f , s;

    f  = "<b>";
    
    switch(Counter){
        case 2:  f.append( "<FONT COLOR='#288bac' FONT SIZE = 3>" ); break;
        
        default: f.append( "<FONT COLOR='#ee2525' FONT SIZE = 3>" ); break;
    }
    
    f.append( s.sprintf("OBJ Count: %d ", Counter ) );
    f.append("</b>");

    status->setText(f);

}


